"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

const Server = _reactNative.NativeModules.HttpServerBridge;
const httpServerBridge = {
  start: function (port, serviceName, callback) {
    if (port === 80) {
      throw 'Invalid server port specified. Port 80 is reserved.';
    }

    Server.start(port, serviceName);

    _reactNative.DeviceEventEmitter.addListener('httpServerResponseReceived', callback);
  },
  stop: function () {
    Server.stop();

    _reactNative.DeviceEventEmitter.removeAllListeners('httpServerResponseReceived');
  },
  respond: function (requestId, code, type, body) {
    Server.respond(requestId, code, type, body);
  }
};
var _default = httpServerBridge;
exports.default = _default;
//# sourceMappingURL=index.js.map