import { NativeModules, DeviceEventEmitter } from 'react-native';
const Server = NativeModules.HttpServerBridge;
const httpServerBridge = {
  start: function (port, serviceName, callback) {
    if (port === 80) {
      throw 'Invalid server port specified. Port 80 is reserved.';
    }

    Server.start(port, serviceName);
    DeviceEventEmitter.addListener('httpServerResponseReceived', callback);
  },
  stop: function () {
    Server.stop();
    DeviceEventEmitter.removeAllListeners('httpServerResponseReceived');
  },
  respond: function (requestId, code, type, body) {
    Server.respond(requestId, code, type, body);
  }
};
export default httpServerBridge;
//# sourceMappingURL=index.js.map